import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

fl_nm = input('Input File(*.xlsx) = ')
with pd.ExcelFile(fl_nm) as f_data:      #   ファイル名の設定
    data_xlsx = pd.read_excel(f_data)    #   DataFrame型への読み込み
print(data_xlsx)                         #   書き出し

trials = data_xlsx['trial']
conds  = data_xlsx['cond']
resps  = data_xlsx['resp']

c_idx = conds == 'U'
#
#       U条件のデータの取り出し
#
trials_U = trials[c_idx]
conds_U = conds[c_idx]
resps_U = resps[c_idx]
U_mean = np.mean(resps_U)
U_sd  = np.std(resps_U)
#
#       L条件、すなわち非U条件の取り出し
#
c_idx_L = [not v for v in c_idx]
trials_L = trials[c_idx_L]
conds_L = conds[c_idx_L]
resps_L = resps[c_idx_L]
L_mean = np.mean(resps_L)
L_sd = np.std(resps_L)
g_mean = (U_mean + L_mean) / 2
bias = U_mean - g_mean
#
#       ヒストグラム
#
plt.hist(resps_U, label = 'U')
plt.hist(resps_L, label = 'L')
plt.plot([350], [0], c='r', marker = 'o', markersize=20, label = '350')
plt.title(f'Mean = {g_mean:.2f},  Bias = {bias:.2f}\n' +
            f'L: mean={L_mean:.2f}, sd={L_sd:.2f}' +
              f'  U: mean={U_mean:.2f}, sd={U_sd:.2f}')
plt.legend()
plt.show()
#
#       折れ線グラフ
#
plt.plot(trials_U, resps_U, label = 'U')
plt.plot(trials_L, resps_L, label = 'L')
plt.xticks(range(1,21))
plt.plot([1,20], [350,350], c='r', ls='--', label='350')
plt.legend()
plt.show()
