data {
    int mU;
    array[mU] real ResU;
    int mL;
    array[mL] real ResL;
    real mean;
    real sd;
}
parameters {
    real vm;
    real<lower=0.0> vs;
    real vb;
}
transformed parameters {
    //
    //      Rescaling of the parameters
    //
    real m;
    real s;
    real b;
    m = vm * sd + mean;
    s = vs * sd + 0.01;
    b = vb * sd;
}
model {
    vm ~ normal(0.0, 10.0);
    vs ~ exponential(0.1);
    vb ~ normal(0.0, 10.0);
    ResU ~ normal(m+b, s);
    ResL ~ normal(m-b, s);
}
